#ifndef _PERFTIMER_H_
#define _PERFTIMER_H_

#include <windows.h>

typedef struct perftimer {
    LARGE_INTEGER freq;
    LARGE_INTEGER *record;
    int cn_num;
    int loop_num;
    int *loop_idx;
    unsigned char *is_recording;
} perftimer;

perftimer *create_perftimer(int loop_num, int cn_num);
void delete_perftimer(perftimer *p);

int start_perftimer(perftimer *p, int cn);
int stop_perftimer(perftimer *p, int cn);

int print_stat_perftimer(perftimer *p, FILE *fp);

#endif /* _PERFTIMER_H_ */
